Bug 239817 - system-config-kickstart doesn't correctly set isCrypted variable after previewing/generating
system-config-kickstart doesn't correctly set isCrypted variable after previe...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: system-config-kickstart (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-11 10:36 EDT by Justin Sherrill
Modified: 2008-05-21 12:57 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2008-0343
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 12:57:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch File (483 bytes, text/plain)
2007-05-11 10:36 EDT, Justin Sherrill
no flags Details

  None (edit)
Description Justin Sherrill 2007-05-11 10:36:04 EDT
Description of problem:

If the "encrypted root password" checkbox is checked and then a kickstart is
previewed, unchecking that checkbox cause --iscrypted to be included but the
password is not encrypted.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Check "Encrypt root password" 
2. Type a password into the Root Password/Confirm Password boxes
3. Click "File->Preview"
4. Uncheck "encrypt root password"
5. Click "File->Preview"
  
Actual results:

"rootpw  --iscrypted UNENCRYPTED_PASSWORD"
is generated in the kickstart file

Expected results:
"rootpw UNENCRYPTED_PASSWORD"
should be generated in the kicktstart file. 

Additional info:

The variable is simply never set back to False if it is set to true,
included patch that should fix the problem.
Comment 1 Justin Sherrill 2007-05-11 10:36:04 EDT
Created attachment 154546 [details]
Patch File
Comment 2 RHEL Product and Program Management 2007-10-16 00:00:18 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 6 Michal Nowak 2008-02-05 11:04:34 EST
Now I've read the whole message

   /usr/lib/python2.4/site-packages/pirut/GroupSelector.py:331...

and I see that it's mainly pirut's problem. Right?
Comment 7 Chris Lumens 2008-02-05 11:20:39 EST
Correct, this would be a problem with the pirut component, which we pull in for
packaging selection.  It's possible I'm not setting something up right in
s-c-kickstart, but I think we get this same message in anaconda so I'm leaning
towards an internal pirut problem.
Comment 8 Michal Nowak 2008-02-05 11:32:44 EST
OK, thanks, I reported it piruts's maintainer. 

I guess we can wait come time for his opinion:
https://bugzilla.redhat.com/show_bug.cgi?id=431580
Comment 12 errata-xmlrpc 2008-05-21 12:57:21 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0343.html

Note You need to log in before you can comment on or make changes to this bug.